# -*- coding: utf-8 -*-
# Generated by Django 1.9.7 on 2017-10-29 00:21
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Author',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Book',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Libro')),
                ('created_at', models.DateField(blank=True, null=True, verbose_name='Fecha Creaci\xf3n')),
                ('author', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='miprimerapp.Author', verbose_name='Autor')),
            ],
            options={
                'permissions': ('can_create_book', 'Permitir crear libro'),
            },
        ),
    ]
